/*
 * Copyright (C) 2009 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as 
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Neil Jagdish Patel <neil.patel@canonical.com>
 *
 */

#ifndef _NL_FAVORITE_APP_H_
#define _NL_FAVORITE_APP_H_

#include <glib.h>
#include <clutter/clutter.h>
#include <netbook-launcher/netbook-launcher.h>

#define NL_TYPE_FAVORITE_APP (nl_favorite_app_get_type ())

#define NL_FAVORITE_APP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
        NL_TYPE_FAVORITE_APP, NlFavoriteApp))

#define NL_FAVORITE_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), \
        NL_TYPE_FAVORITE_APP, NlFavoriteAppClass))

#define NL_IS_FAVORITE_APP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
        NL_TYPE_FAVORITE_APP))

#define NL_IS_FAVORITE_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE \
        ((klass), NL_TYPE_FAVORITE_APP))

#define NL_FAVORITE_APP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS \
        ((obj), NL_TYPE_FAVORITE_APP, NlFavoriteAppClass))

typedef struct _NlFavoriteApp        NlFavoriteApp;
typedef struct _NlFavoriteAppClass   NlFavoriteAppClass;
typedef struct _NlFavoriteAppPrivate NlFavoriteAppPrivate;
 
struct _NlFavoriteApp
{
  NlFavorite        parent;

  NlFavoriteAppPrivate *priv;
};

struct _NlFavoriteAppClass
{
  NlFavoriteClass   parent_class;
};

GType              nl_favorite_app_get_type   (void) G_GNUC_CONST;

NlFavorite * nl_favorite_app_new        (const gchar *uid);

#endif /* _NL_FAVORITE_APP_H_ */

